Package com.clickhouse.jdbc

# Class ClickHouseBlob

java.lang.Object
com.clickhouse.jdbc.ClickHouseBlob

All Implemented Interfaces:
  `Blob`

@Deprecated public class ClickHouseBlob extends Object implements Blob
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ClickHouseBlob()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`free()`
Deprecated.
`InputStream`
`getBinaryStream()`
Deprecated.
`InputStream`
`getBinaryStream(long pos, long length)`
Deprecated.
`byte[]`
`getBytes(long pos, int length)`
Deprecated.
`long`
`length()`
Deprecated.
`long`
`position(byte[] pattern, long start)`
Deprecated.
`long`
`position(Blob pattern, long start)`
Deprecated.
`OutputStream`
`setBinaryStream(long pos)`
Deprecated.
`int`
`setBytes(long pos, byte[] bytes)`
Deprecated.
`int`
`setBytes(long pos, byte[] bytes, int offset, int len)`
Deprecated.
`void`
`truncate(long len)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClickHouseBlob

public ClickHouseBlob()
Deprecated.

## Method Details

### length

public long length() throws SQLException
Deprecated.

Specified by:
  `length` in interface `Blob`
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(long pos, int length) throws SQLException
Deprecated.

Specified by:
  `getBytes` in interface `Blob`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream() throws SQLException
Deprecated.

Specified by:
  `getBinaryStream` in interface `Blob`
Throws:
  `SQLException`

### position

public long position(byte[] pattern, long start) throws SQLException
Deprecated.

Specified by:
  `position` in interface `Blob`
Throws:
  `SQLException`

### position

public long position(Blob pattern, long start) throws SQLException
Deprecated.

Specified by:
  `position` in interface `Blob`
Throws:
  `SQLException`

### setBytes

public int setBytes(long pos, byte[] bytes) throws SQLException
Deprecated.

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

### setBytes

public int setBytes(long pos, byte[] bytes, int offset, int len) throws SQLException
Deprecated.

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

### setBinaryStream

public OutputStream setBinaryStream(long pos) throws SQLException
Deprecated.

Specified by:
  `setBinaryStream` in interface `Blob`
Throws:
  `SQLException`

### truncate

public void truncate(long len) throws SQLException
Deprecated.

Specified by:
  `truncate` in interface `Blob`
Throws:
  `SQLException`

### free

public void free() throws SQLException
Deprecated.

Specified by:
  `free` in interface `Blob`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream(long pos, long length) throws SQLException
Deprecated.

Specified by:
  `getBinaryStream` in interface `Blob`
Throws:
  `SQLException`